package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品列表对象 mall_goods
 * 
 * @author ruoyi
 * @date 2021-07-01
 */
public class MallGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Integer id;

    /** 租户Id */
    @Excel(name = "租户Id")
    private String appId;

    /** 商品id */
    @Excel(name = "商品id")
    private String goodsId;

    /** 商品封面 */
    @Excel(name = "商品封面")
    private String cover;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String name;

    /** 所需积分数 */
    @Excel(name = "所需积分数")
    private Long needPoint;

    /** 真实库存数 */
    @Excel(name = "真实库存数")
    private Long realStockNum;

    /** 虚拟库存数 */
    @Excel(name = "虚拟库存数")
    private Long virtualStockNum;

    /** 已兑换数 */
    @Excel(name = "已兑换数")
    private Long exchangeNum;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDelete;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedAt;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setAppId(String appId) 
    {
        this.appId = appId;
    }

    public String getAppId() 
    {
        return appId;
    }
    public void setGoodsId(String goodsId) 
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId() 
    {
        return goodsId;
    }
    public void setCover(String cover) 
    {
        this.cover = cover;
    }

    public String getCover() 
    {
        return cover;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setNeedPoint(Long needPoint) 
    {
        this.needPoint = needPoint;
    }

    public Long getNeedPoint() 
    {
        return needPoint;
    }
    public void setRealStockNum(Long realStockNum) 
    {
        this.realStockNum = realStockNum;
    }

    public Long getRealStockNum() 
    {
        return realStockNum;
    }
    public void setVirtualStockNum(Long virtualStockNum) 
    {
        this.virtualStockNum = virtualStockNum;
    }

    public Long getVirtualStockNum() 
    {
        return virtualStockNum;
    }
    public void setExchangeNum(Long exchangeNum) 
    {
        this.exchangeNum = exchangeNum;
    }

    public Long getExchangeNum() 
    {
        return exchangeNum;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setIsDelete(Integer isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete() 
    {
        return isDelete;
    }
    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }
    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("appId", getAppId())
            .append("goodsId", getGoodsId())
            .append("cover", getCover())
            .append("name", getName())
            .append("needPoint", getNeedPoint())
            .append("realStockNum", getRealStockNum())
            .append("virtualStockNum", getVirtualStockNum())
            .append("exchangeNum", getExchangeNum())
            .append("status", getStatus())
            .append("isDelete", getIsDelete())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .toString();
    }
}
