package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.MallGoods;

/**
 * 商品列表Mapper接口
 * 
 * @author ruoyi
 * @date 2021-07-01
 */
public interface MallGoodsMapper 
{
    /**
     * 查询商品列表
     * 
     * @param id 商品列表ID
     * @return 商品列表
     */
    public MallGoods selectMallGoodsById(Integer id);

    /**
     * 查询商品列表列表
     * 
     * @param mallGoods 商品列表
     * @return 商品列表集合
     */
    public List<MallGoods> selectMallGoodsList(MallGoods mallGoods);

    /**
     * 新增商品列表
     * 
     * @param mallGoods 商品列表
     * @return 结果
     */
    public int insertMallGoods(MallGoods mallGoods);

    /**
     * 修改商品列表
     * 
     * @param mallGoods 商品列表
     * @return 结果
     */
    public int updateMallGoods(MallGoods mallGoods);

    /**
     * 删除商品列表
     * 
     * @param id 商品列表ID
     * @return 结果
     */
    public int deleteMallGoodsById(Integer id);

    /**
     * 批量删除商品列表
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteMallGoodsByIds(Integer[] ids);
}
