package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.AdminUser;

/**
 * 用户列表Service接口
 * 
 * @author xiaoji
 * @date 2021-07-01
 */
public interface IAdminUserService 
{
    /**
     * 查询用户列表
     * 
     * @param id 用户列表ID
     * @return 用户列表
     */
    public AdminUser selectAdminUserById(Long id);

    /**
     * 查询用户列表列表
     * 
     * @param adminUser 用户列表
     * @return 用户列表集合
     */
    public List<AdminUser> selectAdminUserList(AdminUser adminUser);

    /**
     * 新增用户列表
     * 
     * @param adminUser 用户列表
     * @return 结果
     */
    public int insertAdminUser(AdminUser adminUser);

    /**
     * 修改用户列表
     * 
     * @param adminUser 用户列表
     * @return 结果
     */
    public int updateAdminUser(AdminUser adminUser);

    /**
     * 批量删除用户列表
     * 
     * @param ids 需要删除的用户列表ID
     * @return 结果
     */
    public int deleteAdminUserByIds(Long[] ids);

    /**
     * 删除用户列表信息
     * 
     * @param id 用户列表ID
     * @return 结果
     */
    public int deleteAdminUserById(Long id);
}
