package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.AdminUserMapper;
import com.ruoyi.system.domain.AdminUser;
import com.ruoyi.system.service.IAdminUserService;

/**
 * 用户列表Service业务层处理
 * 
 * @author xiaoji
 * @date 2021-07-01
 */
@Service
public class AdminUserServiceImpl implements IAdminUserService 
{
    @Autowired
    private AdminUserMapper adminUserMapper;

    /**
     * 查询用户列表
     * 
     * @param id 用户列表ID
     * @return 用户列表
     */
    @Override
    public AdminUser selectAdminUserById(Long id)
    {
        return adminUserMapper.selectAdminUserById(id);
    }

    /**
     * 查询用户列表列表
     * 
     * @param adminUser 用户列表
     * @return 用户列表
     */
    @Override
    public List<AdminUser> selectAdminUserList(AdminUser adminUser)
    {
        return adminUserMapper.selectAdminUserList(adminUser);
    }

    /**
     * 新增用户列表
     * 
     * @param adminUser 用户列表
     * @return 结果
     */
    @Override
    public int insertAdminUser(AdminUser adminUser)
    {
        return adminUserMapper.insertAdminUser(adminUser);
    }

    /**
     * 修改用户列表
     * 
     * @param adminUser 用户列表
     * @return 结果
     */
    @Override
    public int updateAdminUser(AdminUser adminUser)
    {
        return adminUserMapper.updateAdminUser(adminUser);
    }

    /**
     * 批量删除用户列表
     * 
     * @param ids 需要删除的用户列表ID
     * @return 结果
     */
    @Override
    public int deleteAdminUserByIds(Long[] ids)
    {
        return adminUserMapper.deleteAdminUserByIds(ids);
    }

    /**
     * 删除用户列表信息
     * 
     * @param id 用户列表ID
     * @return 结果
     */
    @Override
    public int deleteAdminUserById(Long id)
    {
        return adminUserMapper.deleteAdminUserById(id);
    }
}
