package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.MallGoodsMapper;
import com.ruoyi.system.domain.MallGoods;
import com.ruoyi.system.service.IMallGoodsService;

/**
 * 商品列表Service业务层处理
 * 
 * @author ruoyi
 * @date 2021-07-01
 */
@Service
public class MallGoodsServiceImpl implements IMallGoodsService 
{
    @Autowired
    private MallGoodsMapper mallGoodsMapper;

    /**
     * 查询商品列表
     * 
     * @param id 商品列表ID
     * @return 商品列表
     */
    @Override
    public MallGoods selectMallGoodsById(Integer id)
    {
        return mallGoodsMapper.selectMallGoodsById(id);
    }

    /**
     * 查询商品列表列表
     * 
     * @param mallGoods 商品列表
     * @return 商品列表
     */
    @Override
    public List<MallGoods> selectMallGoodsList(MallGoods mallGoods)
    {
        return mallGoodsMapper.selectMallGoodsList(mallGoods);
    }

    /**
     * 新增商品列表
     * 
     * @param mallGoods 商品列表
     * @return 结果
     */
    @Override
    public int insertMallGoods(MallGoods mallGoods)
    {
        return mallGoodsMapper.insertMallGoods(mallGoods);
    }

    /**
     * 修改商品列表
     * 
     * @param mallGoods 商品列表
     * @return 结果
     */
    @Override
    public int updateMallGoods(MallGoods mallGoods)
    {
        return mallGoodsMapper.updateMallGoods(mallGoods);
    }

    /**
     * 批量删除商品列表
     * 
     * @param ids 需要删除的商品列表ID
     * @return 结果
     */
    @Override
    public int deleteMallGoodsByIds(Integer[] ids)
    {
        return mallGoodsMapper.deleteMallGoodsByIds(ids);
    }

    /**
     * 删除商品列表信息
     * 
     * @param id 商品列表ID
     * @return 结果
     */
    @Override
    public int deleteMallGoodsById(Integer id)
    {
        return mallGoodsMapper.deleteMallGoodsById(id);
    }
}
